{% extends "admin_base.html" %}
{% block title %}校務廣播 - 編輯文章{% endblock %}

{% block left_side %}d-none{% endblock %}
{% block right_side %}col-md-12{% endblock %}

{% block subtitle %}
校務廣播/編輯文章
{% endblock %}

{% block body %}
<form method="POST" action="{{ url_for('.admin_edit_news_post', id=news_post.id) }}">
    <div class="form-row">
        {{ news_form.hidden_tag() }}
        <div class="form-group col-md-9">
            {% if news_form.title.errors %}
                {% for e in news_form.title.errors %}
                    <p class="help-block">{{ e }}</p>
                {% endfor %}
            {% endif %}
            {{ news_form.title(class_='form-control', value=news_post.title, autofocus=true) }}
        </div>
        <div class="form-check">
            <input class="form-check-input" type="checkbox" name="top" id="topCheck" {% if news_post.top==1 %}checked{% endif %}>
            <label class="form-check-label" for="topCheck">
                文章置頂
            </label>
        </div>
    </div>
    <div class="form-row">
        <div class="form-group col-md-12">
            {% if news_form.text.errors %}
                {% for e in news_form.text.errors %}
                    <p class="help-block">{{ e }}</p>
                {% endfor %}
            {% endif %}
            {{ news_form.text(id="editor", class_='form-control') }}
        </div>
        <div class="form-group col-md-12">
            <input class="btn btn-primary btn-lg btn-block" type="submit" value="確定">
        </div>
    </div>
</form>
{% endblock %}

{% block js %}
<script type="text/javascript" src="{{ url_for('static', filename='ckeditor/ckeditor.js' ) }}"></script>
<script>
    CKEDITOR.replace('editor', {
        toolbar: "[{ name: 'CKAwesome', items: ['Image', 'ckawesome']}]",
        height: 400,
        autoGrow_minHeight: 400, 
        extraPlugins: 'autogrow,image2,embed,autoembed,tableresize,magicline,layoutmanager,ckawesome', 
        extraAllowedContent: 'div{border,background,text-align}',
        layoutmanager_loadbootstrap: true,
        fontawesomePath: "{{ url_for('static', filename='font-awesome-4.7.0/css/font-awesome.min.css') }}",
        filebrowserImageUploadUrl: '/ckupload/'
        // customConfig: "{{ url_for('static', filename='ckeditor/config.js') }}"
    });
</script>
{% endblock %}